    The XSPEC xscat model: dust scattering.

xsxscat
The xsxscat model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsxscat", "mdl")
>>> print(mdl)

Create a component of the xsxscat model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.NH thawed 1 0 1000 10^22 mdl.Xpos thawed 0.5 0 0.999 mdl.Rext frozen 10 0 240 arcsec mdl.DustModel frozen 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
NH
Interstellar hydrogen column density (in units of 10^22 atoms/cm^2).
Xpos
The relative position of the dust along the line of sight. A value of 0 means the dust is at the observer, and of 0.95 means that the dust is 5% from the source.
Rext
The radius of the circular extraction region, in arcsec.
DustModel
The dust model used: see [1] for more information.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelXscat.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023